Save a reviewed public starter into your workspace
curl --request POST \
--url https://api.decimal.ai/api/v1/registry/packs/support/claim \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"claim_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"system_prompt": "<string>",
"selected_skill_ids": [
"<string>"
],
"pack_revision": "<string>",
"expected_snapshot_hash": "<string>",
"onboarding_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"started_at": "2023-11-07T05:31:56Z"
}
'import requests
url = "https://api.decimal.ai/api/v1/registry/packs/support/claim"
payload = {
"claim_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"system_prompt": "<string>",
"selected_skill_ids": ["<string>"],
"pack_revision": "<string>",
"expected_snapshot_hash": "<string>",
"onboarding_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"started_at": "2023-11-07T05:31:56Z"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
claim_id: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
name: '<string>',
system_prompt: '<string>',
selected_skill_ids: ['<string>'],
pack_revision: '<string>',
expected_snapshot_hash: '<string>',
onboarding_id: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
started_at: '2023-11-07T05:31:56Z'
})
};
fetch('https://api.decimal.ai/api/v1/registry/packs/support/claim', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}registry
Save a reviewed public starter into your workspace
POST
/
api
/
v1
/
registry
/
packs
/
support
/
claim
Save a reviewed public starter into your workspace
Authorizations
Enter your API key (e.g. dai_sk_test_key_001)
Cookies
Body
application/json
Required string length:
1 - 100Required string length:
1 - 16000Required array length:
1 - 8 elementsPattern:
^[0-9a-fA-F-]{36}$Pattern:
^[a-f0-9]{64}$Pattern:
^[a-f0-9]{64}$Response
Successful Response